#include <input-gpio.hpp>
#include <output-gpio.hpp>
using namespace stm32f072xb;
// https://www.st.com/resource/en/reference_manual/dm00031936-stm32f0x1stm32f0x2stm32f0x8-advanced-armbased-32bit-mcus-stmicroelectronics.pdf

int main() {
	OutputGpioInit ledInit = {
	    GpioPin::P5,
	    Pupdr::NONE,
	};

	OutputGpio<Port::A> led(ledInit);

	InputGpioInit buttonInit = {GpioPin::P13, Pupdr::NONE};

	InputGpio<Port::C> button(buttonInit);

	while (true) {
		if (button.readPin() == FlagStatus::RESET) {
			led.setPin(FlagStatus::SET);
		} else {
			led.setPin(FlagStatus::RESET);
		}
	}

	return 0;
}
